
Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'if querystring parameter "mode" is set to "uploader" 
        'then just display file upload panel (pnlFileUpload) and hide everything else
        Dim mode As String = Request.QueryString("mode")
        If mode = "uploader" Then
            pnlContainer.Style.Add("display", "none")
            pnlFileUpload.Visible = True
        End If
    End Sub

    Protected Sub btnUpload_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnUpload.Click
        'When upload button is clicked, save the logo content to the application
        If fuLogo.HasFile Then
            'Create logo token
            Dim logoId As String = Guid.NewGuid().ToString()
            'Save logo to Application
            Application.Add(logoId, fuLogo.FileBytes)
            'The following code triggers upload completion event in client side
            'passing the logoId token
            ClientScript.RegisterStartupScript(Page.GetType, "Upload Completed", "window.parent.iFrame_OnUploadComplete('" + logoId + "');", True)
        End If
    End Sub
End Class